create procedure rrhh.sp_guardarBono
@numId int,
@numTipoPlanilla int,
@numTipo int,
@txtDescripcion varchar(500),
@numPeriodicidad int,
@txtFechaPago date,
@txtMesPago varchar(7),
@numQuincena int,
@numMonto decimal(18,2),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numId = 0
		begin
			insert into rrhh.datos_bonos(idTipo,codtipoplanilla,descripcion,idPeriodicidad,fechaPago,mesPago,planillaPago,monto,idUsuario) values(@numTipo,@numTipoPlanilla,@txtDescripcion,@numPeriodicidad,@txtFechaPago,@txtMesPago,@numQuincena,@numMonto,@numUsuario);
			select @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numId;
			update rrhh.datos_bonos set descripcion = @txtDescripcion,idPeriodicidad = @numPeriodicidad,fechaPago = @txtFechaPago,mesPago = @txtMesPago,planillaPago = @numQuincena,monto = @numMonto,fechaModificacion = GETDATE() where id = @dbId;
		end

	set @dbRespuesta = 'success';
end